import { ClientSideBaseVisitor, ClientSideBasePluginConfig } from 'graphql-codegen-visitor-plugin-common';
import { FragmentDefinitionNode, OperationDefinitionNode } from 'graphql';
import { AwsAmplifyAngularRawPluginConfig } from './index';
export interface AwsAmplifyAngularPluginConfig extends ClientSideBasePluginConfig {
}
export declare class AwsAmplifyAngularVisitor extends ClientSideBaseVisitor<AwsAmplifyAngularRawPluginConfig, AwsAmplifyAngularPluginConfig> {
    private _allOperations;
    generatedAPIs: string[];
    constructor(fragments: FragmentDefinitionNode[], _allOperations: OperationDefinitionNode[], rawConfig: AwsAmplifyAngularRawPluginConfig);
    getImports(): string;
    buildService(): string;
    OperationDefinition(node: OperationDefinitionNode): string;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
}
